<template>
  <div class="account">
    <vue-particles
      color='#3498db'
      :particleOpacity='0.7'
      :particlesNumber='80'
      shapeType='circle'
      :particleSize='4'
      linesColor='#3498db'
      :linesWidth='1'
      :lineLinked='true'
      :lineOpacity='0.4'
      :linesDistance='150'
      :moveSpeed='4'
      :hoverEffect='true'
      hoverMode='grab'
      :clickEffect='true'
      clickMode='push'
    >
    </vue-particles>

    <!-- 导航栏 -->
    <el-row class="header">
      <OurHeader/>
    </el-row>

    <!-- 主体部分 -->
    <el-row class="main">
      <el-col :span=3 class="content"></el-col>

      <!-- 用户介绍 -->
      <el-col :span=4 class="person" style="background-color:white;margin-right:1%;">
        <!-- 头像 -->
        <el-row>
          <div class="avatar">
            <el-image shape="square" style="width:100%; height:100%;" fit="scale-down" :src="squareUrl" ></el-image>
          </div>
        </el-row>

        <!-- 用户信息 -->
        <el-row style="width:80%; margin-left:10%; height:60%;">
          <description></description>
        </el-row>
      </el-col>

      <!-- 课表 -->
      <el-col :span=9 class="info" style="margin-right:1%;">
        <!-- 课程表 -->
        <el-row style="height: 100%;">
          <ClassTable></ClassTable>
        </el-row>
      </el-col>

      <!-- 收藏课程 -->
      <el-col :span=4 style="height: 100%;">
        <el-row style="height: 100%; background-color: grey">
          <collections></collections>
        </el-row>
      </el-col>

    </el-row>
    <OurFooter/>
  </div>
</template>

<script>

import Description from '@/components/account/Description.vue';
import ClassTable from '@/components/account/ClassTable.vue';
import Collections from '@/components/account/Collections.vue';
import OurFooter from '@/components/common/OurFooter.vue';
import OurHeader from '@/components/common/OurHeader.vue';

export default {
  data() {
    return {
      squareUrl: 'https://pica.zhimg.com/80/v2-47c253eacd36128b785731a6b3aaae1f_720w.jpg?source=1940ef5c',
    };
  },
  components: {
    Description,
    ClassTable,
    Collections,
    OurFooter,
    OurHeader
  },
  created() {
    this.squareUrl = this.$store.getters.getAvatar;
  },
};

</script>

<style scoped>

body {
  margin: 0px;
}

.account {
  width:100%;
  height:100%;
  background-color: #f5f6fa;
  position: absolute;
}

.header {
  width:100%;
  height:7%;
}

.main {
  height:93%;
  /* background-color: #f5f6fa; */
}

.content {
  height: 100%;
}

.person {
  height: 100%;
  border-right: 2px solid #e8e8e8;
}

.info {
  height: 100%;
}

.avatar {
  width: 80%;
  display: block;
	margin:0 auto;
  margin-top: 7%;
}

.avatar::before{
  content: '';
  width: 100%;
  padding-top: 100%; 
}

#particles-js{
  width: 100%;
  height: 98%;
  position: absolute;
}

</style>
